package cache

import (
	"testing"
)

func Test_RedisURI(t *testing.T) {
	cache, err := New("redis://127.0.0.1:6389")

	if err != nil {
		t.Fatal("Error creating cache:", err)
	}

	if _, ok := cache.(*RedisCache); !ok {
		t.Fatal("Cache is not instance of RedisCache")
	}
}
